Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
sleep_call Struct Reference

## Data Fields
VALUE | mutex
VALUE | timeout

## Detailed Description

Definition at line 104 of file thread.c.

## Field Documentation

VALUE sleep_call::mutex

Definition at line 105 of file thread.c.

Referenced by do_sleep(), and rb_condvar_wait().

VALUE sleep_call::timeout

Definition at line 106 of file thread.c.

Referenced by do_sleep(), and rb_condvar_wait().

The documentation for this struct was generated from the following file:

- ext/thread/thread.c